from intern.methodenbox_intern import MethodenboxIntern

"""
METHODENBOX
Die folgenden Methoden stellt die Methodenbox bereit.
Darunter können Sie eigenen Code notieren.
"""

def fuegeBildHinzu(name, dateiangabe, xPos, yPos):
    """
    Hinzufügen eines Bildes
    --Parameter name eindeutiger Bezeichner des Bildes
    --Parameter dateiangabe füge das Bild im BlueJ-Projekt in den Ordner bilder ein und gib dann z. B. an "bilder/dateiname.png"
    --Parameter xPos x-Position der linken oberen Ecke des Bildes. 
    --Parameter yPos y-Position der linken oberen Ecke des Bildes
    """
    MethodenboxIntern().fuegeBildHinzu(name, dateiangabe, xPos, yPos)


def entferneBild(name):
    """
    Methode zum Entfernen des Bildes
     --Parameter name der eindeutige Bezeichner des Bildes
    """    
    MethodenboxIntern().entferneBild(name)
        
    
def ersetzeBild(name, dateiNeu):
    """
    Methode zum Ersetzen des Bildes durch eine andere Datei
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter dateiNeu Pfad und Name der neuen Datei, z. B. "bilder/blume.jpg"
    """   
    MethodenboxIntern().ersetzeBild(name, dateiNeu)
        
    
def setzeBildgroesse(name, breite, hoehe):
    """
    Methode zum Verändern der Bildgröße
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter breite Breite des Bildes
    --Parameter hoehe Höhe des Bildes
    """   
    MethodenboxIntern().setzeBildgroesse(name, breite, hoehe)
        
    
def setzeBildposition(name, xPos, yPos):
    """
    Methode zum Verändern der Position
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter xPos neue x-Position der linken oberen Ecke des Bildes
    --Parameter yPos neue y-Position der linken oberen Ecke des Bildes
    """    
    MethodenboxIntern().setzeBildposition(name, xPos, yPos)
        
    
def fuegeTextHinzu(name, text, xPos, yPos):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    """    
    MethodenboxIntern().fuegeTextHinzu(name, text, xPos, yPos)

def entferneText(name):
    """
    Methode zum Entfernen des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    """  
    MethodenboxIntern().entferneText(name)
        
def ersetzeText(name, textNeu):
    """
    Methode zum Ersetzen des Textes im Textfeld
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter textNeu der neue Text
    """    
    MethodenboxIntern().ersetzeText(name, textNeu)
        
def setzeTextposition(name, xPos, yPos):
    """
    Methode zum Ändern der Position des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter xPos neue x-Position
    --Parameter yPos neue y-Position
    """   
    MethodenboxIntern().setzeTextposition(name, xPos, yPos)
        



"""
Ab hier können Sie eigenen Code notieren!
"""


def reagiereAufTastendruck(buchstabe):
    global screenNummer
    if screenNummer == 1:
        if buchstabe == 'a':
            ersetzeText("Antwort1", "Richtig - Chips")
        if buchstabe == 'b':
            ersetzeText("Antwort2", "Dips ist falsch. Richtig wäre a")
        if buchstabe == 'c':
            ersetzeText("Antwort3", "Flips ist falsch. Richtig wäre a")
        zeigeAntwort1()
    else:
        if screenNummer == 2:
            zeigeFrage2()
        else:
            if screenNummer == 3:
                if buchstabe == 'a':
                    ersetzeText("Antwort1", "Sneaker ist falsch. Richtig wäre c")
                if buchstabe == 'b':
                    ersetzeText("Antwort2", "Espandrillos ist falsch. Richtig wäre c")
                if buchstabe == 'c':
                    ersetzeText("Antwort3", "Flip-Flop ist richtig!")


screenNummer = 0

def zeigeFrage1():
    global screenNummer
    fuegeTextHinzu("Frage","In einem Computer gibt es" , 20, 10)
    fuegeTextHinzu("Antwort1","Tippe a für: Chips" , 20, 30)
    fuegeTextHinzu("Antwort2","Tippe b für: Dips" , 20, 50)
    fuegeTextHinzu("Antwort3","Tippe c für: Flips" , 20, 70)
    screenNummer = 1


def zeigeAntwort1():
    global screenNummer
    screenNummer = 2


def zeigeFrage2():
    global screenNummer
    ersetzeText("Frage", "So bezeichnet man auch ein elektronisches Bauelement")
    ersetzeText("Antwort1", "Tippe a für: Sneaker")
    ersetzeText("Antwort2", "Tippe b für: Espandrillo")
    ersetzeText("Antwort3", "Tippe c für: Flip-Flop")
    screenNummer = 3


zeigeFrage1()