from intern.methodenbox_intern import MethodenboxIntern
import random

"""
METHODENBOX
Die folgenden Methoden stellt die Methodenbox bereit.
Darunter können Sie eigenen Code notieren.
"""

def fuegeBildHinzu(name, dateiangabe, xPos, yPos):
    """
    Hinzufügen eines Bildes
    --Parameter name eindeutiger Bezeichner des Bildes
    --Parameter dateiangabe füge das Bild im BlueJ-Projekt in den Ordner bilder ein und gib dann z. B. an "bilder/dateiname.png"
    --Parameter xPos x-Position der linken oberen Ecke des Bildes. 
    --Parameter yPos y-Position der linken oberen Ecke des Bildes
    """
    MethodenboxIntern().fuegeBildHinzu(name, dateiangabe, xPos, yPos)


def entferneBild(name):
    """
    Methode zum Entfernen des Bildes
     --Parameter name der eindeutige Bezeichner des Bildes
    """    
    MethodenboxIntern().entferneBild(name)
        
    
def ersetzeBild(name, dateiNeu):
    """
    Methode zum Ersetzen des Bildes durch eine andere Datei
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter dateiNeu Pfad und Name der neuen Datei, z. B. "bilder/blume.jpg"
    """   
    MethodenboxIntern().ersetzeBild(name, dateiNeu)
        
    
def setzeBildgroesse(name, breite, hoehe):
    """
    Methode zum Verändern der Bildgröße
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter breite Breite des Bildes
    --Parameter hoehe Höhe des Bildes
    """   
    MethodenboxIntern().setzeBildgroesse(name, breite, hoehe)
        
    
def setzeBildposition(name, xPos, yPos):
    """
    Methode zum Verändern der Position
    --Parameter name der eindeutige Bezeichner des Bildes
    --Parameter xPos neue x-Position der linken oberen Ecke des Bildes
    --Parameter yPos neue y-Position der linken oberen Ecke des Bildes
    """    
    MethodenboxIntern().setzeBildposition(name, xPos, yPos)
        
    
def fuegeTextHinzu(name, text, xPos, yPos):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    """    
    MethodenboxIntern().fuegeTextHinzu(name, text, xPos, yPos)

def entferneText(name):
    """
    Methode zum Entfernen des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    """  
    MethodenboxIntern().entferneText(name)
        
def ersetzeText(name, textNeu):
    """
    Methode zum Ersetzen des Textes im Textfeld
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter textNeu der neue Text
    """    
    MethodenboxIntern().ersetzeText(name, textNeu)
        
def setzeTextposition(name, xPos, yPos):
    """
    Methode zum Ändern der Position des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter xPos neue x-Position
    --Parameter yPos neue y-Position
    """   
    MethodenboxIntern().setzeTextposition(name, xPos, yPos)
        
def warte(sekunden):
    """
    Zeitverzögerung
    --Parameter sekunden Wartezeit
    """
    MethodenboxIntern().warte(sekunden)

def warteAufTastatureingabe():
    """
    Wartet auf Mausklick
    """
    MethodenboxIntern().warteAufTastatureingabe()
    
def stoppen():
    """
    Stoppt die Anwendung
    """
    MethodenboxIntern().stoppen()
    
    
def wurdeFigurAngeklickt(name, posX, posY):
    """
    Stellt fest, ob die Figur die genannte Stelle berührt
    """
    return MethodenboxIntern().wurdeFigurAngeklickt(name, posX, posY)  

def gibZufallszahl(obergrenze):
    """
    gibt eine Zufallszahl aus 0..obergrenze-1 zurück
    """
    return random.randint(0,2)
    
def setzeTaktdauer(ms):
    """
    Setzt die Taktdauer auf die angegebene Anzahl an Millisekunden.
    """
    MethodenboxIntern().setzeTaktdauer(ms)
    
    
"""
Ab hier können Sie eigenen Code notieren!
"""


    
#1. Ergänzen Sie hier eine Methode, die die 9 Maulwurfshügel 
#im 3x3-Raster erzeugt (Abstand je 150, Beginn bei (100, 100)
#und auch der Spielfigur die korrekte Datei zuordnet.
def starteSpiel():
    fuegeBildHinzu("haufen1", "bilder/Haufen.png", 100, 100)
    fuegeBildHinzu("haufen2", "bilder/Haufen.png", 100, 250)
    fuegeBildHinzu("haufen3", "bilder/Haufen.png", 100, 400)
    fuegeBildHinzu("haufen4", "bilder/Haufen.png", 250, 100)
    fuegeBildHinzu("haufen5", "bilder/Haufen.png", 250, 250)
    fuegeBildHinzu("haufen6", "bilder/Haufen.png", 250, 400)
    fuegeBildHinzu("haufen7", "bilder/Haufen.png", 400, 100)
    fuegeBildHinzu("haufen8", "bilder/Haufen.png", 400, 250)
    fuegeBildHinzu("haufen9", "bilder/Haufen.png", 400, 400)
    
    fuegeBildHinzu("spielfigur", "bilder/Maulwurf.png", 0, 0)
    

# Diese Methode wird automatisch in gewissen Zeitabständen aufgerufen.
# Name nicht verändern!
def reagiereAufTaktschlag():
    geheZuNeuemHuegel()


# Diese Methode wird automatisch bei Mausklick aufgerufen.
# Name nicht verändern! 
def reagiereAufMausklick(x, y):
    if wurdeFigurAngeklickt("spielfigur", x, y):
        stoppen()



#2. Ergänzen Sie eine Methode, die zwei Zufallszahlen aus dem Bereich 
#bis 3 erzeugt und dann den Maulwurf korrekt positioniert 
#z. B. x-Wert: 100 + Zufallszahl*150
def geheZuNeuemHuegel():
    x = 100+gibZufallszahl(3)*150
    y = 100+gibZufallszahl(3)*150
    setzeBildposition("spielfigur", 100+gibZufallszahl(3)*150, 100+gibZufallszahl(3)*150)






setzeTaktdauer(1000)
starteSpiel()