from intern.methodenbox_intern import MethodenboxIntern

"""
METHODENBOX
Die folgenden Methoden stellt die Methodenbox bereit.
Darunter können Sie eigenen Code notieren.
"""
def zeichneRechteck(xPos, yPos, breite, hoehe, farbe):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    """    
    MethodenboxIntern().zeichneRechteck(xPos, yPos, breite, hoehe, farbe)

def zeichneDreieck(xPos, yPos, breite, hoehe, farbe):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    """    
    MethodenboxIntern().zeichneDreieck(xPos, yPos, breite, hoehe, farbe)
    
def zeichneKreis(xM, yM, radius, farbe):
    MethodenboxIntern().zeichneKreis(xM, yM, radius, farbe)

def fuegeTextHinzu(name, text, xPos, yPos):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    """    
    MethodenboxIntern().fuegeTextHinzu(name, text, xPos, yPos)

def entferneText(name):
    """
    Methode zum Entfernen des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    """  
    MethodenboxIntern().entferneText(name)
        
def ersetzeText(name, textNeu):
    """
    Methode zum Ersetzen des Textes im Textfeld
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter textNeu der neue Text
    """    
    MethodenboxIntern().ersetzeText(name, textNeu)
        
def setzeTextposition(name, xPos, yPos):
    """
    Methode zum Ändern der Position des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter xPos neue x-Position
    --Parameter yPos neue y-Position
    """   
    MethodenboxIntern().setzeTextposition(name, xPos, yPos)
        

def setzeTaktdauer(ms):
    """
    Setzt die Taktdauer auf die angegebene Anzahl an Millisekunden.
    """
    MethodenboxIntern().setzeTaktdauer(ms)  

    
    
"""
Ab hier können Sie eigenen Code notieren!
"""

zeit = 200
uhrLaeuft = True

# Diese Methode wird automatisch in gewissen Zeitabständen aufgerufen.
# Name nicht verändern!
def reagiereAufTaktschlag():
    global uhrLaeuft
    global zeit
    if uhrLaeuft == True:
        reduziereZeit()
        zeigeZeit() 
    if zeit == 0:
        uhrLaeuft = False


# Diese Methode wird automatisch bei Tastendruck aufgerufen.
# Name nicht verändern!
def reagiereAufTastendruck(taste):
    global uhrLaeuft
    if taste == 'h':
        erhoeheZeit()
    if taste == 'r':
        reduziereZeit()
    if taste == 's':
        #! ist das Zeichen für "nicht". Aus wahr wird falsch, aus falsch wahr.
        uhrLaeuft = not uhrLaeuft    

def erhoeheZeit():
    global zeit
    zeit = zeit + 1
    zeigeZeit()


def reduziereZeit():
    global zeit
    zeit = zeit - 1
    zeigeZeit()


def erzeugeDarstellung():
    fuegeTextHinzu("Info", "(h) Erhöhen (r) Reduzieren (s) Start/Stopp", 100, 100)
    fuegeTextHinzu("Zeit", "200", 100, 140) 
    zeigeZeit()


def zeigeZeit():
    global zeit
    sekunden = zeit%60
    minuten = (zeit - sekunden)/60
    ersetzeText("Zeit", "Noch "+ str(int(minuten))+" Minuten "+ str(sekunden)+" Sekunden")



setzeTaktdauer(1000)    
erzeugeDarstellung()





