# -*- coding: utf-8 -*-
"""
Created on Tue Oct 19 08:25:18 2021

@author: Klaus Reinold
"""
import turtle

"""
METHODENBOX
Die folgenden Methoden stellt die Turtle bereit.
Darunter kannst du selbst Methoden ergänzen.
"""

def gehe(schritte):
    """
    Turtle geht die angegebene anzahl an Schritten
    --Parameter schritte: Anzahl an Schritten
    """
    turtle.forward(schritte)

def drehe(grad):
    """
    Turtle dreht sich um einen Winkel
    --Parameter grad: Drehwinkel
    """
    turtle.left(grad)
    
def hebeStift():
    """
    Turtle hebt den Stift
    """
    turtle.penup()
    
def senkeStift():
    """
    Turtle senkt den Stift
    """
    turtle.pendown()
    
def setzeStiftfarbe(r, g, b):
    """
    Stiftfarbe der Turtle festlegen 
    --Parameter r: Rotanteil 0..255
    --Parameter g: Grünanteil 0..255
    --Parameter b: Blauanteil 0..255
    """
    turtle.colormode(255)
    turtle.pencolor(r, g, b)


    

"""
Ab hier kannst du selbst Methoden ergänzen.
"""

def zeichneDreieck():  
    gehe(100)
    drehe(120)
    gehe(100)
    drehe(120)
    gehe(100)
    

def zeichneRechteck():
    gehe(100)
    drehe(90)
    gehe(100)
    drehe(90)
    gehe(100)
    drehe(90)
    gehe(100)
    drehe(90)
    

def zeichneHaus():
    setzeStiftfarbe(255, 0, 0)
    zeichneDreieck()
    drehe(120)
    setzeStiftfarbe(0, 0, 255)
    drehe(-90)
    zeichneRechteck()
    
    
def zeichneHausreihe():  
    hebeStift()
    gehe(-250)
    senkeStift()
    zeichneHaus()
    drehe(90) 
    gehe(100)
    zeichneHaus()
    drehe(90) 
    gehe(100)
    zeichneHaus()
    drehe(90) 
    gehe(100)
    zeichneHaus()
    drehe(90) 
    gehe(100)
    zeichneHaus()
    
zeichneHausreihe()

